<?php

namespace common\logic\Document\DeliveryNote\Repository;

use common\logic\AbstractRepositoryQuery;
use common\logic\Document\DeliveryNote\Model\DeliveryNote;
use common\logic\Document\DeliveryNote\Service\DeliveryNoteDefinition;
use yii\db\ActiveQuery;

class DeliveryNoteRepositoryQuery extends AbstractRepositoryQuery
{
    protected DeliveryNoteDefinition $definition;

    public function loadDependencies(): void
    {
        $this->loadDefinition(DeliveryNoteDefinition::class);
    }
}