<?php

namespace common\logic\Producer\Producer\Repository;

use common\logic\AbstractRepositoryQuery;
use common\logic\Producer\Producer\Model\Producer;
use common\logic\Producer\Producer\Service\ProducerDefinition;
use yii\db\ActiveQuery;

class ProducerRepositoryQuery extends AbstractRepositoryQuery
{
    protected ProducerDefinition $definition;

    public function loadDependencies(): void
    {
        $this->loadDefinition(ProducerDefinition::class);
    }
}