<?php

namespace common\logic\Product\ProductPrice\Repository;

use common\logic\AbstractRepositoryQuery;
use common\logic\Product\ProductPrice\Model\ProductPrice;
use common\logic\Product\ProductPrice\Service\ProductPriceDefinition;
use yii\db\ActiveQuery;

class ProductPriceRepositoryQuery extends AbstractRepositoryQuery
{
    protected ProductPriceDefinition $definition;

    public function loadDependencies(): void
    {
        $this->loadDefinition(ProductPriceDefinition::class);
    }
}