<?php

namespace common\logic\Subscription\Subscription\Repository;

use common\logic\AbstractRepositoryQuery;
use common\logic\Subscription\Subscription\Service\SubscriptionDefinition;

class SubscriptionRepositoryQuery extends AbstractRepositoryQuery
{
    protected SubscriptionDefinition $definition;

    public function loadDependencies(): void
    {
        $this->loadDefinition(SubscriptionDefinition::class);
    }
}