<?php

namespace common\logic\User\User\Repository;

use common\logic\AbstractRepositoryQuery;
use common\logic\User\User\Model\User;
use common\logic\User\User\Service\UserDefinition;
use yii\db\ActiveQuery;

class UserRepositoryQuery extends AbstractRepositoryQuery
{
    protected UserDefinition $definition;

    public function loadDependencies(): void
    {
        $this->loadDefinition(UserDefinition::class);
    }
}