<?php

namespace common\logic\Distribution\ProductDistribution\Repository;

use common\logic\AbstractRepositoryQuery;
use common\logic\Distribution\ProductDistribution\Model\ProductDistribution;
use common\logic\Distribution\ProductDistribution\Service\ProductDistributionDefinition;
use yii\db\ActiveQuery;

class ProductDistributionRepositoryQuery extends AbstractRepositoryQuery
{
    protected ProductDistributionDefinition $definition;

    public function loadDependencies(): void
    {
        $this->loadDefinition(ProductDistributionDefinition::class);
    }
}