<?php

namespace common\logic\Subscription\ProductSubscription\Repository;

use common\logic\AbstractRepositoryQuery;
use common\logic\Subscription\ProductSubscription\Model\ProductSubscription;
use common\logic\Subscription\ProductSubscription\Service\ProductSubscriptionDefinition;
use yii\db\ActiveQuery;

class ProductSubscriptionRepositoryQuery extends AbstractRepositoryQuery
{
    protected ProductSubscriptionDefinition $definition;

    public function loadDependencies(): void
    {
        $this->loadDefinition(ProductSubscriptionDefinition::class);
    }
}